
 /*********************************************************************\
|                                                                       |
| This is only for displaying how the icons look when put together.     |
| It's supplied only as a convenience for those who don't wish to make  |
| a game themselves just to view the icons. If I thought this was good  |
| enough to go on the hub as a demo, I would have put it there.         |
|                                                                       |
 \*********************************************************************/

mob
	icon='base_bottom.dmi'
	New()
		..()
		if(name=="mob") name=pick("Larry","Moe","Curly")
		var/obj/mobtop/MT=new
		MT.name="[name]"
		overlays+=MT
	Move()
		..()
		for(var/obj/gets/G in src.loc)
			if(istype(G,/obj/gets)) G.Get(src)
	Stat()
		statpanel("Inventory")
		for(var/obj/gets/wears/O in contents)
			stat(O)

	verb
		Say(msg as text)
			view()<<"[src]: [msg]"

obj/mobtop
	icon='base_top.dmi'
	pixel_y=32
	layer=5

obj/gets
	proc/Get(mob/M)
		src.Move(M)
obj/gets/wears
	var/worn=0
	var/top=0
	var/double=0
	var/piece=0
	Click()
		if(src in usr)
			Wear(usr)
	proc/Wear(mob/M)
		if(double){for(var/obj/gets/wears/O in contents){if(O.piece){O.Wear(M);return}}}
		if(worn)
			M.overlays.Remove(src)
			if(top) pixel_y=0
			suffix=null
			worn=0
		else
			if(top) pixel_y=32
			suffix="Worn"
			worn=1
			M.overlays.Add(src)
	gloves
		icon='gloves.dmi'
		layer=5
		top=1
	overalls
		icon='overalls.dmi'
		icon_state="item"
		layer=5
		double=1
		New(r,g,b)
			if(!r) r=rand(1,255)
			if(!b) b=rand(1,255)
			if(!g) g=rand(1,255)
			icon+=rgb(r,g,b)
			var/obj/gets/wears/overalls/bottom/B=new(src)
			var/obj/gets/wears/overalls/top/T=new(src)
			B.icon+=rgb(r,g,b)
			T.icon+=rgb(r,g,b)
			T.pixel_y=32
			B.overlays+=T
		top
			icon_state="top"
			New() return
		bottom
			icon_state=""
			piece=1
			New() return
			Wear(mob/M)
				..()
				loc.suffix=suffix
	pants
		icon='pants.dmi'
		layer=5
	sg
		name="sun-glasses"
		icon='glasses.dmi'
		layer=5
		top=1
	shirt
		icon='shirt.dmi'
		layer=5
		top=1
	shirt2
		name="shirt"
		icon='shirt2.dmi'
		layer=5
		top=1
	shoes
		icon='shoes.dmi'
		layer=5
	shorts
		icon='shorts.dmi'
		layer=5
	vest
		icon='vest.dmi'
		layer=5
		top=1
	New(r,g,b)
		if(!r) r=rand(1,255)
		if(!b) b=rand(1,255)
		if(!g) g=rand(1,255)
		icon+=rgb(r,g,b)


turf/icon='turf.dmi'

world
	New()
		..()
		spawn(5) AddObject()
	proc/AddObject()
		var/list/L=typesof(/obj/gets/wears)-/obj/gets/wears-/obj/gets/wears/overalls/top-/obj/gets/wears/overalls/bottom
		var/Type=pick(L)
		new Type(locate(rand(1,maxx),rand(1,maxy),rand(1,maxz)))
		world <<"Creating type [Type]"
		spawn(100) AddObject()